package com.ym.mec.biz.dal.entity;

import org.springframework.data.annotation.Version;

import java.math.BigDecimal;

public class SysAccount {
    private Integer id;

    /**
     * 版本号
     */
    @Version
    private Integer version;

    //账户所属公司
    private String company;
    /**
    * 收款商户号
    */
    private String merNo;

    /**
     * 分佣账户
     */
    private String routingMerNo;

    /**
     * 分佣分部
     */
    private Integer routingOrganId;

    /**
    * 最大收款金额
    */
    private BigDecimal maxReceipt;

    /**
    * 已收金额
    */
    private BigDecimal hasReceipt;

    /**
    * 支付渠道
    */
    private String channel;

    /**
    * 支付渠道类型(PER-个人 COM-公户)
    */
    private String type;

    /**
     * 状态 0-停用 1-使用
     */
    private Integer status;

    /**
    * 分佣金额
    */
    private BigDecimal routingFee;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public BigDecimal getMaxReceipt() {
        return maxReceipt;
    }

    public void setMaxReceipt(BigDecimal maxReceipt) {
        this.maxReceipt = maxReceipt;
    }

    public BigDecimal getHasReceipt() {
        return hasReceipt;
    }

    public void setHasReceipt(BigDecimal hasReceipt) {
        this.hasReceipt = hasReceipt;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getRoutingMerNo() {
        return routingMerNo;
    }

    public void setRoutingMerNo(String routingMerNo) {
        this.routingMerNo = routingMerNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getRoutingFee() {
        return routingFee;
    }

    public void setRoutingFee(BigDecimal routingFee) {
        this.routingFee = routingFee;
    }

    public Integer getRoutingOrganId() {
        return routingOrganId;
    }

    public void setRoutingOrganId(Integer routingOrganId) {
        this.routingOrganId = routingOrganId;
    }
}